Subject: Re: [PATCH 3/3 V13] RO/NX protection for loadable kernel

From: [email-masked]
Date: Thu, 23 Dec 2010 20:43:50 -0500

On Thu, 23 Dec 2010 10:01:48 EST, Steven Rostedt said:
> On Wed, 2010-12-22 at 16:35 -0500, [email-masked] wrote:
> 
> > Steve Rostedt's patch that moves the setting of the page permissions seems to
> > make this patch no longer necessary.  I tripped over this same issue, but the
> > version in the latest -mmotm does not need it, as it includes Steve's fix.
> 
> Can I add your "Tested-by: ..." to the commit?

Sure.  I can verify that the patch series (a) doesn't break well-behaved
modules and (b) it *does* trigger for misbehaving modules (I sent the
VirtualBox crew a bug report for a module that tried to write to an area
marked executable).